import os

# Define a function to sort lines in a file
def sort_lines_in_file(file_path):
    with open(file_path, 'r', encoding='latin-1') as file:
        lines = file.readlines()
    
    # Sort lines case sensitively
    lines.sort()
    
    # Write the sorted lines back to the file
    with open(file_path, 'w', encoding='latin-1') as file:
        file.writelines(lines)

# Get the current directory
current_directory = os.getcwd()

# Iterate over each file in the current directory
for filename in os.listdir(current_directory):
    # Check if the file is an SCM file (you can modify the extensions as needed)
    if filename.endswith('.scm'):
        file_path = os.path.join(current_directory, filename)
        sort_lines_in_file(file_path)
        print(f'Sorted lines in: {file_path}')
